# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xscsrserversetup`](#dsc_xscsrserversetup): The DSC xSCSRServerSetup resource type. Automatically generated from version 1.3.0.0
* [`dsc_xscsrserverupdate`](#dsc_xscsrserverupdate): The DSC xSCSRServerUpdate resource type. Automatically generated from version 1.3.0.0

## Resource types

### `dsc_xscsrserversetup`

The DSC xSCSRServerSetup resource type.
Automatically generated from version 1.3.0.0

#### Properties

The following properties are available in the `dsc_xscsrserversetup` type.

##### `dsc_analysisdatabasename`

Data type: `Optional[String]`

Name of the analysis database that already exists, or that Setup will create.

##### `dsc_analysisdatabaseserver`

Data type: `String`

Name of the server that is running SQL Server where the analysis database already exists, or where Setup will create it.

##### `dsc_analysisdatabaseserverinstance`

Data type: `String`

Name of the SQL Server analysis database instance to install to.

##### `dsc_databaseserver`

Data type: `String`

Name of the server that is running SQL Server where the databases already exist, or where Setup will create them .

##### `dsc_databaseserverinstance`

Data type: `String`

Name of the SQL Server database instance to install to.

##### `dsc_dwdatabasename`

Data type: `Optional[String]`

Name of the usage data warehouse database that already exists, or that Setup will create.

##### `dsc_installfolder`

Data type: `Optional[String]`

Folder to install to.

##### `dsc_repositorydatabasename`

Data type: `Optional[String]`

Name of the usage repository database that already exists, or that Setup will create.

##### `dsc_sendceipreports`

Data type: `Optional[Enum['Yes', 'No']]`

Participation in Customer Experience Improvement Program (yes or no).

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_stagingdatabasename`

Data type: `Optional[String]`

Name of the usage staging database that already exists, or that Setup will create.

##### `dsc_usemicrosoftupdate`

Data type: `Optional[Enum['Yes', 'No']]`

Participation in Microsoft Update (yes or no).

#### Parameters

The following parameters are available in the `dsc_xscsrserversetup` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the Service Reporting server is expected to be installed on the machine. Present
{default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscsrserverupdate`

The DSC xSCSRServerUpdate resource type.
Automatically generated from version 1.3.0.0

#### Properties

The following properties are available in the `dsc_xscsrserverupdate` type.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_update`

Data type: `Optional[String]`

Display name of the update.

#### Parameters

The following parameters are available in the `dsc_xscsrserverupdate` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the update is expected to be installed on the machine. Present {default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

